### Class

# Gio DBusObjectProxy

since: 2.30

#### Description

    class Gio.DBusObjectProxy : GObject.Object
      implements Gio.DBusObject {
      /* No available fields */
    }

A `GDBusObjectProxy` is an object used to represent a remote object with one or more D-Bus interfaces. Normally, you don’t instantiate a `GDBusObjectProxy` yourself — typically `GDBusObjectManagerClient` is used to obtain it.

Available since: 2.30

#### Ancestors

- GObject

#### Implements

- GDBusObject

#### Constructors

###### g_dbus_object_proxy_new

Creates a new `GDBusObjectProxy` for the given connection and object path.

since: 2.30

#### Instance methods

###### g_dbus_object_proxy_get_connection

Gets the connection that `proxy` is for.

since: 2.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GDBusObject (3)

###### g_dbus_object_get_interface

Gets the D-Bus interface with name `interface_name` associated with `object`, if any.

since: 2.30

###### g_dbus_object_get_interfaces

Gets the D-Bus interfaces associated with `object`.

since: 2.30

###### g_dbus_object_get_object_path

Gets the object path for `object`.

since: 2.30

#### Properties

###### Gio.DBusObjectProxy:g-connection

The connection of the proxy.

since: 2.30

###### Gio.DBusObjectProxy:g-object-path

The object path of the proxy.

since: 2.30

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

##### Signals inherited from GDBusObject (2)

###### GDBusObject::interface-added

Emitted when `interface` is added to `object`.

since: 2.30

###### GDBusObject::interface-removed

Emitted when `interface` is removed from `object`.

since: 2.30

#### Class structure

    struct GioDBusObjectProxyClass {
      GObjectClass parent_class;

    }

Class structure for `GDBusObjectProxy`.

###### Class members

`parent_class: GObjectClass`

  The parent class.